<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <title>List Ingredients</title>

   <link rel="stylesheet" type="text/css" media="all" href="../../../static/css/bootstrap.min.css" th:href="@{/css/bootstrap.min.css}" />
		
		<script th:src="@{/webjars/jquery/3.4.1/jquery.min.js}"></script>
		
		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</head>
<body>
<!--/*@thymesVar id="recipe" type="com.tcs.recipe.model.Recipe"*/-->
<!--/*@thymesVar id="ingredients" type="java.util.Set<com.tcs.recipe.model.Ingredient>"*/-->
<div class="container-fluid" style="margin-top: 20px">
    <div class="row">
        <div class="col-md-6 col-md-offset-3">
            <div class="panel panel-primary">

                <div class="panel-heading">
                    <div class="row">
                        <div class="col-md-11 ">
                            <h1 class="panel-title">Ingredients</h1>
                        </div>
                        <div class="col-md-1">
                            <a class="btn btn-default" href="#" th:href="@{'/recipe/' + ${recipe.id} + '/ingredient/new'}" role="button">New</a>
                        </div>
                    </div>

                </div>
                <div class="panel-body">

                    <div class="table-responsive" th:if="${not #lists.isEmpty(recipe.ingredients)}">
                        <table class="table table-hover ">
                            <thead class="thead-inverse">
                            <tr>
                                <th>ID</th>
                                <th>Description</th>
                                <th>View</th>
                                <th>Update</th>
                                <th>Delete</th>
                            </tr>
                            </thead>
                            <tr th:remove="all">
                                <td>123</td>
                                <td>Tasty Goodnees 1</td>
                                <td><a href="#">View</a></td>
                                <td><a href="#">Update</a></td>
                                <td><a href="#">Delete</a></td>
                            </tr>
                            <tr th:remove="all">
                                <td>12333</td>
                                <td>Tasty Goodnees 2</td>
                                <td><a href="#">View</a></td>
                                <td><a href="#">Update</a></td>
                                <td><a href="#">Delete</a></td>
                            </tr>
                            <tr th:each="ingredient : ${recipe.ingredients}">
                                <td th:text="${ingredient.id}">334</td>
                                <td th:text="${ingredient.portion} + ' ' + ${ingredient.desc}">Tasty Goodnees 3</td>
                                <td><a href="#" th:href="@{'/recipe/' + ${recipe.id} + '/ingredient/' + ${ingredient.id} + '/show'}">View</a></td>
                                <td><a href="#" th:href="@{'/recipe/' + ${recipe.id} + '/ingredient/' + ${ingredient.id} + '/update'}">Update</a></td>
                                <td><a href="#" th:href="@{'/recipe/' + ${recipe.id} + '/ingredient/' + ${ingredient.id} + '/delete'}">Delete</a></td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>